/*
 * 项目管理接口
*/
import request from '../index'
const prefix = 'sys'

// 项目管理查询
export function getTenantList(params: object) {
  return request({
    url: 'bus/tenant/list',
    method: 'get',
    params,
  })
}

// 添加项目管理
export function addTenant(data: object) {
  return request({
    url: `${prefix}/tenant/add`,
    method: 'post',
    data,
  })
}
// 修改项目管理
export function updateTenant(data: object) {
  return request({
    url: `${prefix}/tenant/update`,
    method: 'post',
    data,
  })
}

// 修改项目管理
export function relatedDept(data: object) {
  return request({
    url: 'bus/tenant/relateTenant',
    method: 'post',
    data,
  })
}

// 删除项目管理
export function delTenantSys(ids: string[]) {
  return request({
    url: `${prefix}/tenant/delete`,
    method: 'post',
    data: {
      ids,
    },
  })
}
